"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.rateLimitWorkflow = void 0;
const workflows_1 = require("../../../protoc/v1/workflows");
const hatchet_client_1 = require("../hatchet-client");
exports.rateLimitWorkflow = hatchet_client_1.hatchet.workflow({
    name: 'RateLimitWorkflow',
});
// !!
// ❓ Static
const RATE_LIMIT_KEY = 'test-limit';
const task1 = exports.rateLimitWorkflow.task({
    name: 'task1',
    fn: (input) => {
        console.log('executed task1');
    },
    rateLimits: [
        {
            staticKey: RATE_LIMIT_KEY,
            units: 1,
        },
    ],
});
// !!
// ❓ Dynamic
const task2 = exports.rateLimitWorkflow.task({
    name: 'task2',
    fn: (input) => {
        console.log('executed task2 for user: ', input.userId);
    },
    rateLimits: [
        {
            dynamicKey: 'input.userId',
            units: 1,
            limit: 10,
            duration: workflows_1.RateLimitDuration.MINUTE,
        },
    ],
});
// !!
